Retrieves the job_priority object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
job_priority| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the priority |
string |
Required Max length: 50 |
| is_default |
If default, will be auto selected when creating new jobs |
boolean | |
| sequence |
Sorting field (0 first) |
integer | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating job_priority |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating job_priority |
sales_organization | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "d97ac285-5d99-4b3b-8df6-6fc1256c4b97",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "ff7a4253-8668-40f6-8e54-6f1fb17fe70c",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "b57a1f50-8816-4b38-a491-a7b221c8dc38",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "c653dcad-033b-4fb5-a29e-83c8279eb691",
"db_currency_id": "c8538990-c6ac-4ecc-ae10-328d16dea532",
"db_language_id": "c33b784c-4b5c-449a-9e78-aed3b4b222ef",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-06-17T01:49:25.5078376+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-06-17T01:49:25.5078376+00:00"
}